/**
 * 
 */
package sim.geometry;

import sim.math.SVector3d;

/**
 * 
 * 
 * @author Simon Vezina
 * @since 2020-06-04
 * @version 2020-06-04
 */
public class STriangle {

  private final SVector3d[] points;
  
  public STriangle(SVector3d p1, SVector3d p2, SVector3d p3)
  {
    this.points = new SVector3d[3];
    this.points[0] = p1;
    this.points[1] = p2;
    this.points[2] = p3;
  }
  
  public SVector3d getP1()
  {
    return this.points[0];
  }
  
  public SVector3d getP2()
  {
    return this.points[1];
  }
  
  public SVector3d getP3()
  {
    return this.points[2];
  }
  
}
